Bug 199585 - (compiz) window placement issues when switching WMs
(compiz) window placement issues when switching WMs
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
: 201621 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-07-20 12:13 EDT by Bill Nottingham
Modified: 2014-03-16 23:00 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 20:41:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Nottingham 2006-07-20 12:13:26 EDT
Description of problem:

I have windows arranged as follows, using metacity:

Workspace 1: xchat-gnome, a few terminals
Workspace 2: firefox, maximized
Workspace 3: rhythmbox, maximized

I run 'start-compiz'.

1) All windows are now on the first workspace
2) All windows have been moved up roughly by the height of the titlebar
   (such that the maximized windows, and any windows near the top of the
    screen, now have their titlebars offscreen.)

Version-Release number of selected component (if applicable):

Comment 1 Matthias Clasen 2006-08-13 10:44:13 EDT
compiz issue, no ?
Comment 2 Bill Nottingham 2006-08-13 20:49:34 EDT
Yeah, sorry - compiz wasn't a valid component when I first filed it.
Comment 3 Kristian Høgsberg 2006-08-23 11:39:17 EDT
*** Bug 201621 has been marked as a duplicate of this bug. ***
Comment 4 Michael Wiktowy 2007-03-29 23:51:00 EDT
This issue is still present in F7test3 LiveCD when opening the Desktop Effects
preference and starting compiz that way. Is this issue being resolved in another
bug number?

The title bar is there and to get at it you have to right click on the windows
task bar and select "move". A *really* annoying default window placement.

Other than that, compiz seems to work really well on my Radeon X800XL. Good job.
Comment 5 Matthias Clasen 2007-04-02 01:55:17 EDT
I think this is the missing place plugin. That should be fixed by now. 
Are you still seeing the problem with current rawhide ?
Comment 6 Bill Nottingham 2007-04-06 01:17:43 EDT
Still happens with compiz-0.3.6-7.fc7.
Comment 7 Michael Wiktowy 2007-04-16 01:21:12 EDT
Although not on the version compiz-0.3.6-7.fc7 on the Rawhide 20070411.2 LiveCD.
The window placement seems proper. So it must be an interaction with another
component that got updated for the LiveCD. Haven't been able to check this with
a completely updated installed system.
Comment 8 J. Bruce Fields 2007-05-09 12:07:58 EDT
"The title bar is there and to get at it you have to right click on the windows
task bar and select "move"."

Note that you should also be able just alt-click-and-drag anywhere in the window
to move it.  Still, pretty annoying.

It's not clear if this is true for other reporters' systems, but at least in my
case, every new window that's opened is also placed exactly at the top-left
corner of the screen, with the top under the title bar.
Comment 9 Matthias Clasen 2007-05-09 15:30:51 EDT
Make sure that the place plugin is enabled and working.
Comment 10 J. Bruce Fields 2007-05-09 18:14:21 EDT
"Make sure that the place plugin is enabled and working."

After googling around a bit, I found a reference to the active_plugins list in
gconf under /apps/compiz/general/options--sure enough, place was missing, and
adding it fixed the problem.  Thanks.
Comment 11 Matěj Cepl 2007-09-11 20:18:34 EDT
Bill, can you still reproduce this bug on the updated supported distro?
Comment 12 Bill Nottingham 2007-09-11 23:23:25 EDT
Actually, with compiz, now I get:

compiz (core) - Fatal: No GLXFBConfig for default depth, this isn't going to work.

Will futz some more.
Comment 13 Michael Wiktowy 2007-09-11 23:40:25 EDT
For me, the title bar hiding problem seems to be resolved in up to date F7 but
switching to 3D desktop via "Desktop Effects" dialog still brings all windows
from other workspaces to the current one and unminimizes them if they happened
to be minimized. I just noticed that Firefox browser windows that were brought
in to the current desktop this way have dead text input fields until you
minimize and unminimuze them again. Then you can enter text into a form again.
Comment 14 Bug Zapper 2008-04-03 13:49:17 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 15 Bug Zapper 2008-05-06 20:41:13 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:

Note You need to log in before you can comment on or make changes to this bug.